Bug 66344 - i586 SMP kernel Oops on boot with kernel 2.4.9-34smp (not earlier)
i586 SMP kernel Oops on boot with kernel 2.4.9-34smp (not earlier)
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-06-08 04:29 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
2.4.9-31smp boot log (9.66 KB, text/plain)
2002-06-08 12:28 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-06-08 04:29:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-US; rv:1.0rc3)

Description of problem:
2.4.9-31smp on my old-but-trusty i586 SMP system (Dec Celebris XP 5133) dies
with an OOps in IO_APIC_get_PCI_irq_vector.

The full text is:

Oops: 0000
Kernel 2.4.9-34smp
CPU: 0
EIP: 0010:[<c0114457>   Not  tainted
EFLAGS: 00010246
EIP is at IO_APIC_get_PCI_itq_vectpr [kernel] 0x17
eax: 00000000 ebx: c1376c00 ecx: 00000000 edx: 00000000
esi: 00000010 edi: 000186a1 ebp: c12d9fab esp: c12d9f80
ds: 0018  es: 0018  ss: 0018
Process swapper (pid: 1, stackpage=c12d9000)
Stack: 000186a1 ffffffff c1376c00 00000010 000186a1 c12d9fab c02f49ad 00000000
       00000001 00000000 0008e000 c12d8000 c02effc0 c0105000 0008e000 c02f4621
       00000000 c02d4cac 00000000 c0249cff c01b0e76 c12d8000 c02f092b c0105288
Call Trace: [<c010500>] stext [kernel] 0x0
[<c0249cff>] .rodata.str1.1. [kernel] 0x11fa
[<c01b0e76>] pci_init [kernel] 0x6
[<c0105288>] init [kernel] 0x28
... etc ...

Code: 83 3c 90 ff 75 23 52 68 00 24 23 c0 e8 e8 52 00 00 8b 44 24

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Boot with the 2.4.9-34smp kernel
2.Sit back and watch


Actual Results:  Oops!

Expected Results:  Whee! (aka, actual booting)

Additional info:
Comment 1 Arjan van de Ven 2002-06-08 05:26:24 EDT
Can you attach the output of dmesg to this bug of the successful boot with 2.4.9-31?
(eg "dmesg > filename" and then "Create new attachement on this page)
That way I can see how things are supposed to be
Comment 2 Need Real Name 2002-06-08 12:28:39 EDT
Created attachment 60184 [details]
2.4.9-31smp boot log
Comment 3 Need Real Name 2002-06-08 12:35:15 EDT
Note, BTW, that the 2.4.9-34 (non-smp) also boots fine on this hardware.
Comment 4 Arjan van de Ven 2002-06-08 12:52:20 EDT
I do have a "suspect" for the failure, eg we added a patch to enable some bigger
systems (with more than 32 PCI slots); this is the only change between -31 and
-34 that touches such early boot stuff. I'll investigate your dmesg output to
try to find out why it breaks.
Comment 5 Need Real Name 2002-06-08 13:59:57 EDT
From the ChangeLog, I made a wild guess that it could be:
    "- Add I/O SAPIC IA64 patch, fixes #63952"
since that was the only thing I saw that mentioned the APIC stuff, although as
an IA64 patch, it didn't seem all that likely (?).  Glad you have a possible
area to look.

If you'd like me to try out a candidate fix for the bug, I'd be happy to do
that. Just point me at an RPM that's ready to go.
Comment 6 Need Real Name 2002-06-10 17:50:50 EDT
*sigh*  I won't be able to help you track down the problem after all.
The machine concerned just died.  :-(  I guess all the recent reboots
just didn't sit well with it or something.   :-(  :-(  :-(
Comment 7 Need Real Name 2002-10-06 03:45:10 EDT
As it seems, I am having this *exact* same problem with kernel-smp-2.4.9-34.i586.rpm on 
my Dual P100-based Dell Optiplex DGX 5100 system.  Is there something I can try?
Comment 8 Arjan van de Ven 2002-10-06 04:45:29 EDT
please try "noapic" as kernel option...
Comment 9 Need Real Name 2002-10-06 17:17:18 EDT
Thanks!  That did it!
Comment 10 Bugzilla owner 2004-09-30 11:39:39 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.